#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,k;
    cin >> n >> k;
    int a,rez;
    for(int i=0;i<n;i++)
    {
        int x;
        cin >> x;
        if(i==0) a=x;
        if(x==k)
        {
            if(i==n-1) rez=a;
            else
            {
                int y;
                cin >> y;
                rez=y;
                i++;
            }
        }
    }
    cout << rez;
    return 0;
}